net.sourceforge.pmd.lang.dfa

## Class StartOrEndDataFlowNode

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.AbstractDataFlowNode
  - - net.sourceforge.pmd.lang.dfa.StartOrEndDataFlowNode

All Implemented Interfaces:
  DataFlowNode

    public class StartOrEndDataFlowNode
    extends AbstractDataFlowNode

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.dfa.AbstractDataFlowNode

`children, dataFlow, line, node, parents, type, typeMap, variableAccess`

### Constructor Summary

Constructors
Constructor and Description
`StartOrEndDataFlowNode(List<DataFlowNode> dataFlow, int line, boolean isStartNode)`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class net.sourceforge.pmd.lang.dfa.AbstractDataFlowNode

`addPathToChild, getChildren, getFlow, getIndex, getLine, getNode, getParents, getVariableAccess, isType, removePathToChild, reverseParentPathsTo, setType, setVariableAccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StartOrEndDataFlowNode

    public StartOrEndDataFlowNode(List<DataFlowNode> dataFlow,
                          int line,
                          boolean isStartNode)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractDataFlowNode`